QGIS Application - Bug report #13299
Slow saving to network drive
2015-08-31 03:56 PM - Jamie Portman

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Project Loading/Saving

Affected QGIS version:2.12.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21357
Description

Has anyone else experienced excessively slow saving of QGIS project files (not edited layers) when saving the project to a network drive?

We are noticing a 3-4MB project file will save almost instantaneously to the local C drive, but when saving to the network can take over 1
minute (you can literally watch the resulting file increase in size by about 100b/5secs).

| would normally say it must be network traffic/congestion or similar, however in file explorer we can drag-drop the same file (or much
larger file) from the C drive to the same network location and it transfers almost immediately too... it is only slow when saving in QGIS

directly.

Some kind of memory leak?

Related issues:
Related to QGIS Application - Bug report # 11211: Save QGIS project on VPN co... Closed 2014-09-16
Related to QGIS Application - Feature request # 14460: Avoid corrupted qgs fi... Open 2016-03-11

Associated revisions

Revision 4530c2ab - 2015-12-25 04:29 AM - Jiirgen Fischer

improve project saving to network shares (fixes #13299)

History

#1 - 2015-10-26 06:37 AM - Jakob Lanstorp

| have the same problem with very slow save of a QGIS project on a network drive. Using the OSGEO4W QGIS 2.12.0.

#2 - 2015-10-26 01:23 PM - Gerhard Spieles

Same problem with 2.10, win 7, 64bit

#3 - 2015-11-07 10:20 AM - Giovanni Manghi
- Category changed from Browser to Project Loading/Saving
- Affected QGIS version changed from 2.10.1 to 2.12.0

For what | can remember saving on NFS/Samba shares was always ok for me, but | can give it a new try.
#4 - 2015-11-07 11:47 AM - Giovanni Manghi

related to #11211?

#5 - 2015-12-01 02:23 AM - Jakob Lanstorp

#11211 is the same problem as this issue.

This problem is due to how QGIS writes some of the files like project files and styles. A QGIS file is written in very small packages (7 bit | saw somewhere |

cant find). Each package requires a control ping in return. Saving a 1 mb QGIS project file result in a large number of pings. My ping time for a 32 bytes

package is 6 ms (pretty fast), but this adds up in time for a large project or style file. A 5 mb doc like MS WORD takes no time to save on a network, since

they write larger packages.

#6 - 2015-12-01 02:08 PM - Jamie Portman

Thanks Jakob....

Do you know if this something that could potentially be resolved in future releases?

ie. can it be made to write in larger packages like other software you mention?

#7 - 2015-12-21 03:31 PM - Carlos Lopez Quintanilla

Same problem with 2.12, win7, 64bit.

when | save in localhost it takes 5 seconds, in network it delay more than 1 minute

#8 - 2015-12-22 06:07 AM - Giovanni Manghi

see also #11211

#9 - 2015-12-22 06:08 AM - Giovanni Manghi

Jakob Lanstorp wrote:

#11211 is the same problem as this issue.

This problem is due to how QGIS writes some of the files like project files and styles. A QGIS file is written in very small packages (7 bit | saw

somewhere | cant find). Each package requires a control ping in return. Saving a 1 mb QGIS project file result in a large number of pings. My ping
time for a 32 bytes package is 6 ms (pretty fast), but this adds up in time for a large project or style file. A 5 mb doc like MS WORD takes no time to

save on a network, since they write larger packages.

Very interesting, could you please write your notes in the developers mailing list? thanks!

#10 - 2015-12-24 11:02 AM - Jiirgen Fischer

Giovanni Manghi wrote:
Very interesting, could you please write your notes in the developers mailing list? thanks!

See also https://bugreports.qt.io/browse/QTBUG-16715

#11 - 2015-12-24 12:10 PM - Jiirgen Fischer

- Assignee set to Jirgen Fischer

#12 - 2015-12-24 08:49 PM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"4530c2abbedc318be1e290ef9ed8ad020ede94b7".

#13 - 2016-01-10 04:02 PM - Jamie Portman

Just tested and works perfectly!
Thanks.
